Ubuntu

[Acer Aspire 5930] ACPI: EC: input buffer is not empty, aborting transaction

Reported by Luca Zenatti on 2010-05-10
216
This bug affects 50 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

On my notebook acer aspire 5930G on upgrade to 10.04 version, after few minutes of use apci stops working (don't recognize ac/dc or battery, don't change lcd blacklight, etc.) and start to flood dmes with this messages:
[ 767.208058] ACPI: EC: input buffer is not empty, aborting transaction
[ 767.208072] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20090903/evregion-424)
[ 767.208106] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.LPCB.EC0_.GBST] (Node f7017030), AE_TIME
[ 767.208197] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.LPCB.EC0_.BAT0._BST] (Node f7017120), AE_TIME
[ 767.208277] ACPI Exception: AE_TIME, Evaluating _BST (20090903/battery-393)

Trying to reboot (or to shutdown and restart) my pc don't want to boot!

WORKAROUND: Get out the battery and replace.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-headers-2.6.32-21-generic 2.6.32-21.32
Regression: Yes
Reproducible: No
ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
Uname: Linux 2.6.31-19-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.20.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: luca 5325 F.... pulseaudio
 /dev/snd/pcmC0D0p: luca 5325 F...m pulseaudio
CRDA: Error: [Errno 2] Nessun file o directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6500000 irq 21'
   Mixer name : 'Nvidia MCP78 HDMI'
   Components : 'HDA:10ec0888,1025013f,00100202 HDA:11c11040,11c10001,00100200 HDA:10de0003,10de0101,00100000'
   Controls : 39
   Simple ctrls : 21
Date: Mon May 10 23:25:40 2010
Frequency: Once a day.
HibernationDevice: RESUME=UUID=96cdf22d-d1a9-4285-818c-c7751f7b8bd4
MachineType: Acer Aspire 5930
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-19-generic root=UUID=eb29c17b-d483-46a9-853c-0236d0829819 ro quiet splash
ProcEnviron:
 LANGUAGE=it_IT:it:en_GB:en
 LANG=it_IT.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
SourcePackage: linux
WpaSupplicantLog:

dmi.bios.date: 08/01/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.19
dmi.board.name: Eiger
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.19:bd08/01/2008:svnAcer:pnAspire5930:pvr0100:rvnAcer:rnEiger:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 5930
dmi.product.version: 0100
dmi.sys.vendor: Acer

Luca Zenatti (lucazen) wrote :

This bug affects also my Acer 5930G. It does not happen at every boot. Last time I received the following messages in kern.log:

about 15 minutes after boot I received

May 10 16:22:23 francesco kernel: [ 1040.834972] CE: hpet increasing min_delta_ns to 50624 nsec

and after 1 minute

May 10 17:33:32 francesco kernel: [ 5309.196100] ACPI: EC: input buffer is not empty, aborting transaction
May 10 17:33:32 francesco kernel: [ 5309.696097] ACPI: EC: input buffer is not empty, aborting transaction
May 10 17:33:32 francesco kernel: [ 5309.696110] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20090903/evregion-424)
May 10 17:33:32 francesco kernel: [ 5309.696142] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.LPCB.EC0_.GBST] (Node f7417030), AE_TIME
May 10 17:33:32 francesco kernel: [ 5309.696235] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.LPCB.EC0_.BAT0._BST] (Node f7417120), AE_TIME
May 10 17:33:32 francesco kernel: [ 5309.696436] ACPI Exception: AE_TIME, Evaluating _BST (20090903/battery-393)

with this last block repeating many many times.

 My OS is a fresh install of Ubuntu 10.04, Kernel 2.6.32-22-generic-pae.

Please tell me if I need to attach other files.

Gabriele Bianchi

Luca Zenatti (lucazen) wrote :

Hi,
some (good i hope) news.

That bug seem be "resolved" with kernel 2.6.34-020634rc7-generic, i'm trying it since 2 days and no issue coming out up to now.

Regards,
Luca Zenatti

Jeremy Foshee (jeremyfoshee) wrote :

Hi Luca,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Luca Zenatti (lucazen) wrote :

Hi Jeremy,
ok in next days i'll try the latest kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=M;O=D and i'll report you the results.

Regards,
Luca Z.

Luca Zenatti (lucazen) wrote :

Ok, i tried kernel 2.6.34-020634-generic for about 3 days and all still going ok.

tags: removed: needs-upstream-testing

I am also using the kernel

2.6.34-020634rc7-generic,

but in my case the problem is not solved. Right now I am running on battery, and have the same fllood of lines complaining about

francesco kernel: [10862.365049] ACPI: EC: input buffer is not empty, aborting transaction
May 21 01:59:09 francesco kernel: [10862.365065] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20100121/evregion-474)
May 21 01:59:09 francesco kernel: [10862.365100] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.LPCB.EC0_.BAT0._BST] (Node f7022120), AE_TIME
May 21 01:59:09 francesco kernel: [10862.365197] ACPI Exception: AE_TIME, Evaluating _BST (20100121/battery-439)
May 21 01:59:10 francesco kernel: [10862.864187] ACPI: EC: input buffer is not empty, aborting transaction
May 21 01:59:10 francesco kernel: [10862.864205] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20100121/evregion-474)
May 21 01:59:10 francesco kernel: [10862.864239] ACPI Error (psparse-0537): Method parse/execution failed [\_TZ_.TZS0._TMP] (Node f7025420), AE_TIME
May 21 01:59:10 francesco kernel: [10863.365054] ACPI: EC: input buffer is not empty, aborting transaction
May 21 01:59:10 francesco kernel: [10863.365072] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20100121/evregion-474)
May 21 01:59:10 francesco kernel: [10863.365107] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0.LPCB.EC0_.BAT0._BST] (Node f7022120), AE_TIME
May 21 01:59:10 francesco kernel: [10863.365208] ACPI Exception: AE_TIME, Evaluating _BST (20100121/battery-439)
May 21 01:59:11 francesco kernel: [10863.865124] ACPI: EC: input buffer is not empty, aborting transaction

etc etc. Gabriele Bianchi

Alexey Ivasyuk (oebs-pm) wrote :

This bug affects me too on Samsung NP-N210. Does not happen every boot, but sometimes.

I have switched to the 2.6.34-020634-generic kernel and the error continue to appear.

May 24 15:44:13 francesco kernel: [ 6471.825086] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20100121/evregion-474)
May 24 15:44:13 francesco kernel: [ 6471.825115] ACPI Error (psparse-0537): Method parse/execution failed [\_TZ_.TZS1._TMP] (Node f70254e0), AE_TIME

This time my laptop is running without battery and connected to the electric power line.

Gabriele Bianchi

Luca Zenatti (lucazen) wrote :

Some (badornotbat) news.

That issue re-appear after i ibernated and waked up hours after my notebook.
I rebooted (by removing the battery :( ) and no other issue appear in last day, where I turned off and suspended the notebook several times.

Could it be a problem of hibernation at this point?

Regards,
Luca Zenatti

Luca Zenatti (lucazen) wrote :

I answer myself ;)

No, it could be a problem with acpi monitor!! In the sense it disappears after i removed "Hardware Sensors Monitor" from my panel.

Please ask me if you need more (detailed) information.

Regards,
Luca Zenatti

tags: added: acpi kernel-bug
tags: added: acpi-bug
removed: acpi
Alexey Ivasyuk (oebs-pm) wrote :

Installing the new kernel 2.6.34 has been solved the problem.
When the new kernel is to be released?

Dear Alexey, to which 2.6.34 kernel exactly are you referring? There are many versions Can you please indicate me the link from which you downloaded it? Thanks a lot, Gabriele Bianchi

Alexey Ivasyuk (oebs-pm) wrote :

I'm referring to 2.6.34RC7. I use it till now and everything is fine with it.

Luca Zenatti (lucazen) wrote :

I'm trying 2.6.35-999-generic_2.6.35-999 and STILL get that bug...i'm seriusly thinking to rollback to ubuntu 9.10....it's so boring that bug!

Must be the worst ubuntu bug i ever experienced. When it first occurred, i thought it was some kind of hardware failure, so i tried another kernel (rt) and it went fine until i replaced it with the main kernel again, and it *does* break everything exactly like described on the first bug report.
Btw, why is this HUGE bug marked as "incomplete"?

specs: Acer Aspire 5735-6694

Alexey Ivasyuk (oebs-pm) wrote :

Why don't you migrate to the newer kernel?
Installing kernel v2.6.34-rc7-lucid completely solves this problem at my Samsung NP-N200

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc7-lucid/

bpowell (bpowell2008) wrote :

I am hearing mixed messages; does upgrading to 2.6.34xx solve the issue or not? I have the exact same computer as Vinicius Fromming, and the same problem...I'm hesitant to upgrade kernel without knowing the full impact to my (otherwise) stable system.

Thanks!

The kernel mentioned in message #17 unfortunately does not solve the problem here.

Gabriele

Stéphane Travostino (eazy87) wrote :

I've got the same laptop model as the OP, but running Archlinux. I though I could shed some light on this issue.

There's an open kernel bug for this: https://bugzilla.kernel.org/show_bug.cgi?id=14733

It affects all the kernel since 2.6.32, the only way to have a functional system is applying the "Add delay before data write, take #2" patch to the kernel source.

I'm writing this here since 2.6.34.1 is still affected by this bug and there seems to be no activity on the kernel bugzilla, maybe Ubuntu can push things a bit. It's quite a important problem as it does inhibit the possibility to turn on the PC (when shutting down, remove AC and battery and replug them in).

I've tested 2.6.32.6 and 2.6.34.1, the only way to have them running correctly without 1s delays every 5 seconds and ACPI errors in the kernel log is to apply the patch.

Luca Zenatti (lucazen) wrote :

This bug still boring in newer ubuntu kernels...:( :(

Stèphane where can i find that patch?

Stéphane Travostino (eazy87) wrote :

@Luca: In the bugzilla page I posted. Here's the direct link to it: https://bugzilla.kernel.org/attachment.cgi?id=25261

I must claim my ignorance here...how do I apply this patch? I'm not sure
what steps to take. You can send me a private message if you like. Thank
you!

On 07/29/2010 07:25 AM, Stéphane Travostino wrote:
> @Luca: In the bugzilla page I posted. Here's the direct link to it:
> https://bugzilla.kernel.org/attachment.cgi?id=25261
>
>

Luca Zenatti (lucazen) on 2010-07-30
Changed in linux (Ubuntu):
status: Incomplete → New

So, i compile kernel 2.6.32 get from ubuntu repository following this two guide:
- http://forum.ubuntu-it.org/index.php?topic=368450.0 (italian)
- http://ubuntuforums.org/showthread.php?t=56835 + sudo update-initramfs -c -k <kernel version> + sudo update-grub (english)
They are equivalent, more or less.

Before compile i applied this two patch:
- http://launchpadlibrarian.net/37672643/patch from https://bugs.launchpad.net/ubuntu/+source/linux/+bug/505420 (otherwise compiling exit with error)
- https://bugzilla.kernel.org/attachment.cgi?id=25261 , suggested by Stèphane

Now i stress my system and i'll report you result.

Luca Zenatti (lucazen) wrote :

After 7days of testing, i'm so happy to annuce that with the previus passages the bug has disappeared!!!oleeeee!

Thanks Stèphane!!

I agree. I have been running a kernel I complied myself with the patch
listed above to ec.c....since then, the computer has been been going
into and recovering from stand by with no problems...I have not had to
pull my battery once to reboot! Hopefully this patch will be
incorporated into a future kernel release...I do hate being stuck on a
patched kernel!

Brendan

On 08/06/2010 03:42 AM, Luca Zenatti wrote:
> After 7days of testing, i'm so happy to annuce that with the previus
> passages the bug has disappeared!!!oleeeee!
>
> Thanks Stèphane!!
>
>

hi, i have the same problem with Maverick 10.10 with kernel 2.6.35.22, i tried to update the kernel to 2.6.36 but the problem persist, i also updated the bios and here the pc changed his behavior before it will hung at the screen boot (with the acer logo) now it try to load the system but at 1/3 ot the loading bar of the bios it crash and it try infinitely to load it again until i pull my battery and the ac/dc..
i noticed that before the errors appear i have always these two strings:
lo: Disabled Privacy Extensions
CE: hpet increased min_delta_ns to 11250 nsec

i don't know if they are related to the problem.

the patch listed above can i apply to the current kernel version?
(excuse me for my english -i'm italian- and i hope you'll solve this problem soon because i don't want to leave ubuntu)

Snooze (manuel-schwab) wrote :

hi Arathon

you must not leave Ubutnu, all the other linux based OS have the same problem. It's the kernel.
I use gentoo and have it too.

I will also try to patch the Kernel and hope it will finaly solve this annoying problem.

Luca Zenatti (lucazen) wrote :

Hi ArathoN,
yes i hope you can apply that patch to all 2.6.x kernel.
Just yersterday i've patched (and recompiled) kernel 2.6.35.4 of ubuntu maverik.

PS: sono italiano pure io ;-)

ArathoN (turionavanon) wrote :

i'm trying to recompile the kernel, but i couldn't apply normally the patch it gave me some errors, so i added and eliminated the lines contained into the patch (the one signed with + and -) and now i'm waiting that it ill finish (i'm using kernelcheck for recompiling because it's the first time and i don't know how to do it, i hope it will work)

i hope it will work because ubuntu is a good distro and i'm liking it.

@Zenatti: ma sei riuscito ad applicare normalmente la patch a me da un po di errori (hunk ...), ma poi devo recompilare per ogni aggiornamento del kernel (patch) che faccio?

On 23/10/2010 14:35, ArathoN wrote:
> i'm trying to recompile the kernel, but i couldn't apply normally the
> patch it gave me some errors, so i added and eliminated the lines
> contained into the patch (the one signed with + and -) and now i'm
> waiting that it ill finish (i'm using kernelcheck for recompiling
> because it's the first time and i don't know how to do it, i hope it
> will work)
>
> i hope it will work because ubuntu is a good distro and i'm liking it.
>
> @Zenatti: ma sei riuscito ad applicare normalmente la patch a me da un
> po di errori (hunk ...), ma poi devo recompilare per ogni aggiornamento
> del kernel (patch) che faccio?
>
Si sono riuscito, ti sposti nella cartella dei sorgenti che vuoi
patchare (/usr/src/linux-....), ti copi le due patch che ho segnalato
sul launchpad, prima applichi
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/505420 e poi
https://bugzilla.kernel.org/attachment.cgi?id=25261. per applicare le
patch dai patch -p1 --dry-run < filepatch , in questo modo "testi" la
patch, se non ricevi errori ridai il comando senza --dry-run. poi segui
le guide per la compilazione e non ti dovrebbe dare errori.
Naturalmente ricorda di fare tutte queste operazioni con il sudo.

For apply patch you have to digit "patch -p1 < /pathto/patchfile" into linux source directory. If you want simulate patch, add --dry-run option at patch command.
I suggest you to apply patchs in this order:
- http://launchpadlibrarian.net/37672643/patch from https://bugs.launchpad.net/ubuntu/+source/linux/+bug/505420 (otherwise compiling exit with error)
- https://bugzilla.kernel.org/attachment.cgi?id=25261 ec patch ;)

After that you can go on to compile your kernel. You have to do it every time you change kernel, until ubuntu or kernel team not resolves that issue.

ArathoN (turionavanon) wrote :

i tried to apply the patches you told in the previous post but it gave me some error with them so i modified the file ec.cc adding and removing the necessary lines and compiled with Kernelcheck, that it gave me an error during the installation because it couldn't configure the nvidia module, but i resolved reinstalling the compiled kernel manually, now i'm testin if the patch is working, and i must tell that the system is more stable and until now no errors reported in kernel.log, i'll test for another 3 days than i'll report if it's working or not.

i noticed that the lines in the patch are different from the line in the original file (ec.cc) (considering the ones that are present in both infact the number of the lines differ), i think taht it's 'cause of this that patching gave me these errors, so please fix the patch some someone else noob like me wouldn't spend days trying to patch their kernel.

i'm also surprised that this patch wasn't applied directly to the current kernel of maverick and after because is a very serious and annoying problem, infact:
1-it didn't recognize my battery (always at 95%)
2- the hardware temperature was also a mess (cpu: -1 °C) so more possibility to damage your hw
3-the system hungs a lot (also the mouse if you press ctrl or shift)
4-impossibility to see hd video, the system can take the load to encode it (now is playing them great)
5-then the system at some point doesn't respond at any commend and you must unplug it from battery and ac/dc
so i hope that you will apply definitely this patch.

Well, i have to apologise for not coming back here to show my results, particularly with Ivasyuk, who gave me the kernel advice; and bpowell, who expected to see my results, as we have the same model. Sorry guys :/

The thing is, i'm still using 10.04 with the "rt" kernel, i tried several packaged kernels from that ppa mentioned earlier, and the problem doesn't seem to be solved yet. I'm running out of time these days, so i don't expect to be applying patches soon, and when i do, i will try to post my results here (seriously).

And i do hope the kernel team could solve the things up, there's something really wrong with latest kernels, and i mean *really* wrong, because i experienced weird bugs (unrelated to this one) trying to help a friend to install "the meerkat" on his desktop.

ArathoN (turionavanon) wrote :

i noticed that with the latest kernel version of the kernel for maverick the problem is half solved, now if i have the notebook plugged only with ac/dc , there will be no errors regarding the acpi , the same things happen with only battery, but if i plug the battery with ac/dc and if the battery has finished charging the error appear telling that it didin't find any battery, slowind down the system, in fact if the battery is charging there will be no errors. If you want more information ask.

PromoGest (m3nt0r3) wrote :

so a work around is to use rt kernels instead of pae? we can miss 1gb of ram but have an ac/dc detection corret and no need to pull of the battery every starting?

Daniel Rocher (daniel-rocher) wrote :

This bug affects also my Acer 5735Z

Maykel Moya (mmoyar) wrote :

I have an Acer Aspire 5930G (like Luca). The bug is not present in kernel 2.6.31-21-generic from Karmic. I'm using until the fix get officially merged.

Also my Acer 5735Z has this bug with Ubuntu 10.10 (Kernel 2.6.35-22-generic).

Fiorenzo (fiomac84) wrote :

Hi,
this bug affects me too on notebook BenQ Joybook 7000. My version of Ubuntu is 10.10 and my kernel is 2.6.35-23-generic. In addition, the notebook freezes randomly and I have to turn off and on.

Nov 30 09:44:49 pearl-joybook kernel: [ 553.404166] ACPI Error (dsfield-0143): [TPL0] Namespace lookup failure, AE_ALREADY_EXISTS
Nov 30 09:44:49 pearl-joybook kernel: [ 553.404189] ACPI Error (psparse-0537): Method parse/execution failed [\STEV] (Node f7019f90), AE_ALREADY_EXISTS
Nov 30 09:44:49 pearl-joybook kernel: [ 553.404210] ACPI: Marking method STEV as Serialized because of AE_ALREADY_EXISTS error
Nov 30 09:44:49 pearl-joybook kernel: [ 553.404275] ACPI Error (psparse-0537): Method parse/execution failed [\_TZ_.THZN._TMP] (Node f701d168), AE_ALREADY_EXISTS

uGGa (ugga) wrote :

Acer Aspire 5930G, kernel: 2.6.35-24-generic. This bug still affects me. :(

kilmarnock (kilmarnock-gmx) wrote :

Acer Aspire 5930G, kernel: 2.6.32-27-generic. "Me too"

Jakub Woźniak (mescam) wrote :

I'm using Ubuntu 10.10 64-bit on my acer 5735z
kernel: 2.6.35-26-generic (from Ubuntu repos)

Now I'm booting with pci=noacpi, the problem still occurs but with less frequency (i think..). Using acpi=off solves the problem.

I don't know when this issue appears, I can't even reproduce that bug.

I suddenly can't adjust my screen brightness and there are a lot of messages in dmesg.
[20135.512530] ACPI: EC: input buffer is not empty, aborting transaction
[20135.512539] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20100428/evregion-474)
[20135.512555] ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.AMW0.WMCA] (Node ffff8800b7a34500), AE_TIME

After I poweroff (when adjusting brightness doesn't work) my laptop won't boot. Lights goes up for a few seconds and off (and it loops), I can't get into BIOS. I have to take out battery and remove power for a few seconds, then I can boot my laptop.

That is all I know about it. Hope it will help.

Best regards.

Any news on this? Last time i tried to apply the patch it gave me errors so i couldnt install.

@PromoGest: yes, less ram, but *thank god* no bugs.

bpowell (bpowell2008) wrote :

I haven't heard boo about this other than from people who still have the problem. It's a complicated bug, and I imagine some folks have the problem and attribute it more to hardware than Ubuntu.

Given this but was submitted in May of 2010, and it is still UNASSIGNED I don't expect you'll hear much on it any time soon.

I am still running 10.04 with my patched kernel (which I am very hesitant to upgrade)...I'd love to hear those patches were applied to mainline kernel, but given other posts of people saying they have the problem...I can see it has not been corrected.

This isn't how I want to show off Ubuntu to my friends! "Hold on while I pull my battery so my Ubuntu will reboot!" "Oh, don't mind that slowness, that's just Ubuntu flooding my log-file with ACPI errors! It'll clear up in a few minutes!"

BP

chrisvarns (chrisvarnz) wrote :

Acer Aspire 5735, Ubuntu 10.10, kernel 2.6.35-25-generic

Same issue. ACPI error floods matching #43, inability to change brightness, inability to boot due to powering up, spinning hard disk, powering down, repeat

So far, acpi=off boot flag seems to have solved it, although I now have no idea how charged my battery is, and I assume at some point it will just die due to no power (rather than warning me/hibernating). I've seen plenty of talk of patches made to ec.c solving this problem on the Aspire's, can anyone comment on its win-rate on 2.6.35?

Luis Goncalves (lguvieira) wrote :

I have the exact same problem on Acer 5735-6694 running Slack 13.1 kernel 2.6.37. Right now, I am trying different config setups in the ACPI menu. The patch for 2.6.34 had worked for me just fine.

Brad Figg (brad-figg) on 2011-04-06
Changed in linux (Ubuntu):
status: New → Confirmed
Igor Golubkov (bctpe4hbiu) wrote :

Same problem on Acer 5730zg, but fixed by patch from comment#32

Pedro Carrasco (blare82) wrote :

It didn't work on a Acer Aspire 5930G under Ubuntu 10.10, what I'm doing wrong?

root@laptop:/home/user/Escritorio/patch# wget http://launchpadlibrarian.net/37672643/patch
root@laptop:/home/user/Escritorio/patch# uname -a
Linux laptop 2.6.35-28-generic #50-Ubuntu SMP Fri Mar 18 19:00:26 UTC 2011 i686 GNU/Linux
root@laptop:/home/user/Escritorio/patch# whoami
root
root@laptop:/home/user/Escritorio/patch# patch -p1 --dry-run < patch
patching file ubuntu/omnibook/Makefile
Hunk #1 FAILED at 39.
Hunk #2 FAILED at 52.
2 out of 2 hunks FAILED -- saving rejects to file ubuntu/omnibook/Makefile.rej

rloth (rloth) wrote :

Same problem on a Samsung R719 after upgrading to natty with kernel 2.6.38-8... I'll the new patch from https://bugzilla.kernel.org/show_bug.cgi?id=14733

rloth (rloth) wrote :

@Pedro Carrasco : perhaps your directory structure is not exactly what the patch expects.

You might use the alternate patch syntax:
    patch /pathto/originalfile /pathto/patchfile

--------------------------------------------------------------------
In my case i didn't apply the omnibook patch, because I have another laptop model : samsung r719

NB : Amazingly, when I boot in a (non patched) natty live cd the laptop works fine, and it also works in windows. But when I install natty the problem reappears *on the second boot*

So I used the ec.c patch from comment 66 in https://bugzilla.kernel.org/show_bug.cgi?id=14733
(the recommended one for 2.6.38) Unfortunately it didn't really work!

Sure, I don't get flooded with the EC input buffer message any more and at last I can boot, but many other things are broke:
  - unexpected remounts
  - xorg problems
  - keyboard malfunction
  - all similar issues to those that had been described for maverick in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/610055

I'm wondering if these are separate problems that just suddenly appear because the system actually boots, or if they are connected to the original thing. I suspect the latter because i get similar behaviour with noacpi option at boot and non patched kernel.

Btw, I tried the patch successively on both the "generic-pae" and "generic" config, it's the same problem in both.

Pedro Carrasco (blare82) wrote :

Thanks for the info rloth,

Now I'm using kernel 2.6.38-9-generic in Ubuntu 11.04, and even the error appears sometimes, it happens less frequently, so I think I will not apply any patch for the moment, because I really need the PC working, and now I'm afraid of these other issues you are experiencing like keyboard and xorg malfunctions...

In any case, I will pay attention to this bug, in order to help as much as I can.
Thanks again!

rloth (rloth) wrote :

Hi all

The problem seems fixed, booted several times and worked normally with no problems.
The patched version didn't do it, i kept on fiddling... perhaps it's the updates from natty-proposed or a line I changed in grub.cfg...

Steps that made it work for me :
 1 - clean install of natty from dvd
      (the error messages are still there)
 2 - grub.cfg: commented l. 92 :
       # if [ "$linux_gfx_mode" != "text" ]; then load_video; fi
3 - synaptics updates
4 - get some sleep
5 - synaptics natty-proposed updates
6 - it works!

I don't know exactly which step(s) did it, but i'm guessing someone did fix something in a package i updated, in which case thanks!

Luca Zenatti (lucazen) wrote :

This bug still affect natty narval, so was for me.

After n-th kernel recompile, i've noted down what step could be followed for do it:
--
sudo apt-get install linux-source

sudo apt-get update
sudo apt-get install build-essential
sudo apt-get install kernel-package
sudo apt-get install gcc
sudo apt-get install libncurses5
sudo apt-get install libncurses5-dev
sudo apt-get install libqt3-mt-dev

cd /usr/src
sudo tar --bzip2 -xvf linux-source-2.6.32.tar.bz2
sudo ln -s /usr/src/linux-source-2.6.32 /usr/src/linux
cd /usr/src/linux

sudo patch -p1 < /pathto/patch
sudo patch -p1 < /pathto/patch_ec

sudo make menuconfig

sudo make-kpkg clean

//i've dual core
export CONCURRENCY_LEVEL=2
sudo fakeroot make.kpkg --initrd --append-to-version=-by-luca kernel-image kernel-headers

//go to drink some beers

cd ..

//enabling vesa splash ??
echo vesafb | sudo tee -a /etc/initramfs-tools/modules
echo fbcon | sudo tee -a /etc/initramfs-tools/modules

sudo dpkg -i *.deb
sudo update-initramfs -c -k 2.6.32-by-luca
sudo update-grub

sudo reboot
--

NOTE: change kernel version and path with your own.

Luca Zenatti (lucazen) wrote :
Luca Zenatti (lucazen) wrote :
tags: added: patch

Dear all,

has anybody tried a kernel of the series 3 on a computer showing this bug? For instance, if Stéphane Travostino (eazy87), who contributed to this discussion, is still using Archlinux he should have such a kernel. Does this new kernel eliminate the problem?

Thanks, Gabriele

Jakub Woźniak (mescam) wrote :

I'm using Ubuntu 11.10 64-bit with kernel 3.0.0-13-generic and it still affects me.

Joseph Lansdowne (j49137) wrote :

I'm running kernel 3.0.7 (seems to have been released < 2 weeks ago) (actually pf-kernel: http://pf.natalenko.name/) on Arch Linux, 32-bit, and I'm still getting this, on an Aspire 5735.

If it hasn't already been mentioned, this doesn't happen if the battery isn't in the laptop (just running off AC), which is how I run it most of the time anyway. Another observation: turning the display off and on resets the backlight brightness to maximum.

Luca Zenatti (lucazen) wrote :

Notice that bug still affects kernel 2.6.38 though in first analisys it would seem resolved, but carefully reading ec.c code it is possible to see that was only partially resolved!

I attach my "new" ec.c patch.

Luca Zenatti (lucazen) wrote :

Notice that bug still affects kernel 3.0.0.

Attach my "new" ec.c diff file.

Ubuntu team???Are you there???

Joseph Lansdowne (j49137) wrote :

Have you tried sending a patch upstreame?

Joseph Lansdowne (j49137) wrote :

*upstream

Luca Zenatti (lucazen) wrote :

No, i haven't tried....should i?

Joseph Lansdowne (j49137) wrote :

I guess so. I don't really know, but I would assume only people who maintain the Ubuntu kernel look here, and if they don't send the report upstream, it won't get to the kernel developers.

Maykel Moya (mmoyar) wrote :

I'm running kernel 3.2.0-5 64-bit on an Aspire 5930G, and I'm still getting this.

Dec 19 20:27:47 jessy kernel: [66268.316242] ACPI: EC: input buffer is not empty, aborting transaction
Dec 19 20:27:47 jessy kernel: [66268.316258] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20110623/evregion-478)
Dec 19 20:27:47 jessy kernel: [66268.316285] ACPI Error: Method parse/execution failed [\_SB_.AMW0.WMCA] (Node ffff880138a3a960), AE_TIME (20110623/psparse-5

Someone reported almost identical error lines a month ago using a Dell Latitude E6220. See Debian Bug #649540 (http://bugs.debian.org/649540)

Julian Alarcon (alarconj) wrote :

same error in Acer 5735-4624

I'm going to test the parameter "acpi=off" in grub

Maykel Moya (mmoyar) wrote :

I can confirm the bug is present in 3.3-rc1 and ec.c patch solves the problem. I'm running patched 3.3-rc1 now and haven't had any problem, current uptime is 8 days suspending/resuming on a daily basis.

s.crema (s-crema) wrote :
Download full text (4.5 KiB)

ACPI doens't work properly also on my ASUS 1015 BX

[ 0.202229] ACPI: EC: Look up EC in DSDT
[ 0.206563] ACPI: Executed 3 blocks of module-level executable AML code
[ 0.249233] ACPI: Interpreter enabled
[ 0.249251] ACPI: (supports S0 S3 S4 S5)
[ 0.249307] ACPI: Using IOAPIC for interrupt routing
[ 0.249868] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved
in ACPI motherboard resources
[ 0.263133] [Firmware Bug]: ACPI: No _BQC method, cannot determine
initial brightness
[ 0.266354] ACPI: EC: GPE = 0x3, I/O: command/status = 0x66, data = 0x62
[ 0.266895] ACPI: No dock devices found.
[ 0.266912] PCI: Using host bridge windows from ACPI; if necessary,
use "pci=nocrs" and report a bug
[ 0.267299] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[ 0.284401] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[ 0.284930] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR15._PRT]
[ 0.285026] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCE4._PRT]
[ 0.285129] pci0000:00: Requesting ACPI _OSC control (0x1d)
[ 0.285139] pci0000:00: ACPI _OSC request failed (AE_NOT_FOUND),
returned control mask: 0x1d
[ 0.285145] ACPI _OSC control for PCIe not granted, disabling ASPM
[ 0.301434] ACPI: PCI Interrupt Link [LNKA] (IRQs 4 7 10 11 14 15) *0
[ 0.301619] ACPI: PCI Interrupt Link [LNKB] (IRQs 4 7 10 11 14 15) *0
[ 0.301806] ACPI: PCI Interrupt Link [LNKC] (IRQs 4 7 10 11 14 15) *0
[ 0.301990] ACPI: PCI Interrupt Link [LNKD] (IRQs 4 7 10 11 14 15) *0
[ 0.302141] ACPI: PCI Interrupt Link [LNKE] (IRQs 4 7 10 11 14 15) *0
[ 0.302260] ACPI: PCI Interrupt Link [LNKF] (IRQs 4 7 10 11 14 15) *0
[ 0.302378] ACPI: PCI Interrupt Link [LNKG] (IRQs 4 7 10 11 14 15) *0
[ 0.302496] ACPI: PCI Interrupt Link [LNKH] (IRQs 4 7 10 11 14 15) *0
[ 0.303971] PCI: Using ACPI for IRQ routing
[ 0.332807] pnp: PnP ACPI init
[ 0.332849] ACPI: bus type pnp registered
[ 0.333566] pnp 00:00: Plug and Play ACPI device, IDs PNP0a08
PNP0a03 (active)
[ 0.333809] system 00:01: Plug and Play ACPI device, IDs PNP0c01 (active)
[ 0.336216] system 00:02: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.336411] pnp 00:03: Plug and Play ACPI device, IDs SYN0a13
SYN0a00 SYN0002 PNP0f13 (active)
[ 0.336567] pnp 00:04: Plug and Play ACPI device, IDs PNP0303
PNP030b (active)
[ 0.336721] pnp 00:05: Plug and Play ACPI device, IDs PNP0200 (active)
[ 0.336884] pnp 00:06: Plug and Play ACPI device, IDs PNP0b00 (active)
[ 0.336977] pnp 00:07: Plug and Play ACPI device, IDs PNP0800 (active)
[ 0.337999] system 00:08: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.338109] pnp 00:09: Plug and Play ACPI device, IDs PNP0c04 (active)
[ 0.338259] system 00:0a: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.338833] system 00:0b: Plug and Play ACPI device, IDs PNP0c02 (active)
[ 0.339370] pnp 00:0c: Plug and Play ACPI device, IDs PNP0103 (active)
[ 0.339391] pnp: PnP ACPI: found 13 devices
[ 0.339396] ACPI: ACPI bus type pnp unregistered
[ 0.339403] PnPBIOS: Disabled by ACPI PNP
[ 1.037772] ACPI: Deprecated procfs I/F for AC is loaded, please
retry with CONFIG_ACPI_P...

Read more...

Artiom Neganov (aneganov) wrote :

Acer Aspire 5930G, 11.10, 3.0.0-16 x86_64 kernel.
The bug still affects me.

[223007.804196] ACPI: EC: input buffer is not empty, aborting transaction
[223007.804209] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20110413/evregion-478)
[223007.804235] ACPI Error: Method parse/execution failed [\_SB_.AMW0.WMCA] (Node ffff8800ba63a960), AE_TIME (20110413/psparse-536)
[223009.304037] ACPI: EC: input buffer is not empty, aborting transaction

SINISA (sinisa-peharda) wrote :

ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20110623/evregion-478)
ACPI Error: Method parse /execution failed [\ _SB _.AMW0.WMCA] (Node f74288e8), AE_TIME (20110623/psparse-536)
ACPI : EC : input buffer is not empty, aborting transaction

OR

ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20110623/evregion-478)
ACPI Error: Method parse /execution failed [\ _SB _.AMW0.WMCA] (Node f74288e8), AE_TIME (20110623/psparse-536)
ACPI : EC : input buffer is not empty, aborting transaction
sd 6 : 0 : 0 : 0 : [ sdb ] Test WP failed, assume Write Enabled
sd 6 : 0 : 0 : 0 : [ sdb ] Asking for cache data failed
sd 6 : 0 : 0 : 0 : [ sdb ] Assuming drive cache : write through
ACPI : EC : input buffer is not empty, aborting transaction

Intel Aspire 5735Z, Intel Pentium DualCore T4200
Ubuntu 12.04(fresh installation) 32 bit, Kernel Linux 3.2.0-24-generic-pae

Loïc Wenkin (loic-wenkin) wrote :

I'm also running on an Acer Aspire 5735Z and I would like to patch my Kernel. Can someone fully explain how to do please ? I've never compiled a kernel but I'm Ok to try if I know the process to follow. I've try to find the ec.c file but I don't see it, perhaps because I have to be in root ?

Thanks to all responses.

Loïc Wenkin (loic-wenkin) wrote :

I've forget to precise : I'm running on Ubuntu 12.04 fresh installation and my kernel is 3.2.0-25-generic-pae

Luca Zenatti (lucazen) wrote :

Hi Loic,
follow this https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578506/comments/54

however this bug still affect any upgrade of ubuntu kernel.

Loïc Wenkin (loic-wenkin) wrote :

Thank but I find an other tutorial on Ubuntu.fr (I'm french speaker) and I've followed it. Currently, I'm at the compilation's time. I've applied the patch. I hope it will be better.

LuisIbanez (luis-ibanez) wrote :

I was experiencing the same problem with Ubuntu 12.10, in a DELL PRECISION M6700.

Just followed Luca's nice intructions:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578506/comments/54

( Thanks Luca ! )

but with

a) using 3.5.7 as the kernel version
b) this patch https://bugzilla.kernel.org/attachment.cgi?id=25261
c) not adding vesafb and fbcon to /etc/initramfs-tools/modules

The message:

"ACPI: EC: input buffer is not empty, aborting transaction"

I now gone, when I boot,
and things seems to be stable so far.

Sai Vnoba (saivnoba) wrote :

Hi all,

I'm on Acer 4741 laptop. I multiboot and I've problem with all the distro I have on this computer (e.g. Slackware 3.2.29 kernel, Ubuntu 3.2.0-29-generic-pae kernel). This has been like this for about 2yrs already.

I applied the patch given above with minor adjustment to one of the function name (from ACPI_EC_DELAY to ec_delay) and it seems to work fine as of this post. Now, I'm stuck with this 'patch' work until this is included in the main kernel, which seems to be bleak given the fact that this issue is atleast 2yrs old already.

My question now is how and from where do we get this patch for every kernel release? Luca, you have been posting diffs for several kernels. How do you do that?

Thanks, SV

Grecu Ionut Florin (protos87) wrote :

I'm also affected by this bug since ubuntu 10.04.. It's getting very annoying.. I have a Acer Aspire 5930g laptop, 3.5.0-21-generic kernel, ubuntu 12.10.
Thing frustrating part is that after i get this message usually the computer won't pass the post screen, just like in this clip: http://www.youtube.com/watch?v=rndKUE_CzLs

Is there a solution to this?? I can't take it anymore!

ACPI: EC: input buffer is not empty, aborting transaction
ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20120320/evregion-501)

 A solution to the computer not passing the Post screen is to disconnect the pc from the electric power and to remove the battery for a few seconds. After reinserting the power and/or the battery my acer 5930G passes the post screen and boots.

I do not remember if this has already been written in one of the posts above and, if not, where I learned that.

Best regards, gabriele

Grecu Ionut Florin (protos87) wrote :

I know about the battery fix... but I'm looking for a permanent fix.

Regards,
Ionuț

Grecu Ionut Florin (protos87) wrote :

I'm a total noob when it come to linux.. please do help me patch the kernel I use.. I get frustrated by this error...
I use Ubuntu 12.10 with 3.7.1 kernex. (x64)

Grecu Ionut Florin (protos87) wrote :

*kernel

Emanuele Fumeo (fumo88) wrote :

Hi all,
I have experienced the same problem on my aspire 5930G...reading some posts, it seems to be a very common problem with linux and this laptop.
For me it's not so annoying, as I encounter it few times, but I know there are some problems. For example, my battery seems to be recognized and charged well, but the estimation of the left charge and other parameters are wrong.
I have now Ubuntu 12.10...I was trying to understand by myself if there's a way to solve this issue. I read about a patch in the first posts...is it still a valid solution? Or maybe there have been some improvements?
Thanks in advance

Grecu Ionut Florin (protos87) wrote :

I'm waiting for the same thing.. Now i'm back to 3.5.0-21-generic kernel since the 3.7.1 wasn't stable enough.
I have an acer aspire 5930G. Maybe there's something with the laptop's BIOS... I could not find an update since v. 1.24 from 2008.
I've read in this thread about patching, but I didn't quite understand how to do it..
Hope to fix this as soon as possible!

Download full text (6.0 KiB)

This bug still present in all kernel version that i have used before the
first occurence.

The solution remain ever the same that i have posted before.

2013/1/18 Grecu Ionut Florin <email address hidden>

> I'm waiting for the same thing.. Now i'm back to 3.5.0-21-generic kernel
> since the 3.7.1 wasn't stable enough.
> I have an acer aspire 5930G. Maybe there's something with the laptop's
> BIOS... I could not find an update since v. 1.24 from 2008.
> I've read in this thread about patching, but I didn't quite understand how
> to do it..
> Hope to fix this as soon as possible!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/578506
>
> Title:
> [Kernel] ACPI: EC: input buffer is not empty, aborting transaction
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> Hi,
> on upgrade to 10.04 version.
>
> After few minuts of use apci stop to wrok (don't recognize ac/dc or
> battery, don't change lcd blacklight, etcc..) and start to flood dmes
> with this messages:
>
> [ 767.208058] ACPI: EC: input buffer is not empty, aborting transaction
> [ 767.208072] ACPI Exception: AE_TIME, Returned by Handler for
> [EmbeddedControl] (20090903/evregion-424)
> [ 767.208106] ACPI Error (psparse-0537): Method parse/execution failed
> [\_SB_.PCI0.LPCB.EC0_.GBST] (Node f7017030), AE_TIME
> [ 767.208197] ACPI Error (psparse-0537): Method parse/execution failed
> [\_SB_.PCI0.LPCB.EC0_.BAT0._BST] (Node f7017120), AE_TIME
> [ 767.208277] ACPI Exception: AE_TIME, Evaluating _BST
> (20090903/battery-393)
>
>
> Trying to reboot (or to shutdown and restart) my pc don't want to boot!
> Unique solution: get out the battery and replace.
>
> PC: notebook acer aspire 5930G
>
> lspci
> 00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory
> Controller Hub (rev 07)
> 00:01.0 PCI bridge: Intel Corporation Mobile 4 Series Chipset PCI
> Express Graphics Port (rev 07)
> 00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #4 (rev 03)
> 00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #5 (rev 03)
> 00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #6 (rev 03)
> 00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
> Controller #2 (rev 03)
> 00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
> Controller (rev 03)
> 00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 1 (rev 03)
> 00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 2 (rev 03)
> 00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 3 (rev 03)
> 00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 4 (rev 03)
> 00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 5 (rev 03)
> 00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #1 (rev 03)
> 00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #2 (rev 03)
> 00:1d.2 US...

Read more...

How do I apply the patch for my 3.5.0-21-generic kernel...?
I am beginner and didn't quite understand it... Could you please explain again?

Emanuele Fumeo (fumo88) wrote :

Ok Luca, thank you very much!
Just to be sure, in this comment: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578506/comments/76
LuisIbanez says that he patched his kernel, which was version 3.5.7...can the same procedure be applied to the latest kernel?
Sorry for annoying you, but I've never done it before and I need my laptop fully working.

Emanuele Fumeo (fumo88) wrote :

Edit of the previous post:
Sorry, I said something stupid. My Ubuntu Linux 12.10 is working with 3.5.0-22-generic kernel version, so it is even older than 3.5.7...

Download full text (5.8 KiB)

Hi,
the procedure is almost the same for all kernels, it can changes on rows of
ec.c that must be patched. But it is simply to adapt to different version.

2013/1/21 Emanuele Fumeo <email address hidden>

> Edit of the previous post:
> Sorry, I said something stupid. My Ubuntu Linux 12.10 is working with
> 3.5.0-22-generic kernel version, so it is even older than 3.5.7...
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/578506
>
> Title:
> [Kernel] ACPI: EC: input buffer is not empty, aborting transaction
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> Hi,
> on upgrade to 10.04 version.
>
> After few minuts of use apci stop to wrok (don't recognize ac/dc or
> battery, don't change lcd blacklight, etcc..) and start to flood dmes
> with this messages:
>
> [ 767.208058] ACPI: EC: input buffer is not empty, aborting transaction
> [ 767.208072] ACPI Exception: AE_TIME, Returned by Handler for
> [EmbeddedControl] (20090903/evregion-424)
> [ 767.208106] ACPI Error (psparse-0537): Method parse/execution failed
> [\_SB_.PCI0.LPCB.EC0_.GBST] (Node f7017030), AE_TIME
> [ 767.208197] ACPI Error (psparse-0537): Method parse/execution failed
> [\_SB_.PCI0.LPCB.EC0_.BAT0._BST] (Node f7017120), AE_TIME
> [ 767.208277] ACPI Exception: AE_TIME, Evaluating _BST
> (20090903/battery-393)
>
>
> Trying to reboot (or to shutdown and restart) my pc don't want to boot!
> Unique solution: get out the battery and replace.
>
> PC: notebook acer aspire 5930G
>
> lspci
> 00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory
> Controller Hub (rev 07)
> 00:01.0 PCI bridge: Intel Corporation Mobile 4 Series Chipset PCI
> Express Graphics Port (rev 07)
> 00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #4 (rev 03)
> 00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #5 (rev 03)
> 00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #6 (rev 03)
> 00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
> Controller #2 (rev 03)
> 00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
> Controller (rev 03)
> 00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 1 (rev 03)
> 00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 2 (rev 03)
> 00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 3 (rev 03)
> 00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 4 (rev 03)
> 00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express
> Port 5 (rev 03)
> 00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #1 (rev 03)
> 00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #2 (rev 03)
> 00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI
> Controller #3 (rev 03)
> 00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI
> Controller #1 (rev 03)
> 00:1e.0 PCI bridge: In...

Read more...

Grecu Ionut Florin (protos87) wrote :

Could someone upload a patched kernel? I am using ubuntu 12.10 x64. I can't manage by myself to patch it.

Grecu Ionut Florin (protos87) wrote :

Bug prezent in Ubuntu 13.04 x64, 3.8 kernel.....

Grecu Ionut Florin (protos87) wrote :

Why doesn't anyone make a .deb file with the latest stable patched kernel and uploade it somewhere? There are people still unable to patch it!

bpowell (bpowell2008) wrote :

Grecu: Here is a link to 3.2.40 with the fix incorporated...compiled with the same config I use on my Acer Aspire 5735.

I just finished building this, so I'm not running this particular kernel, but I built it the same way I've built previous versions with success...the only difference is I built this using my desktop computer, as my laptop gets VERY HOT during the compile!

Just unzip it...it'll have the two .deb files you need to install a kernel...then you'll just need to use the package manager of your choice to install it.

http://www.filedropper.com/linux-kernel-3240-acip-fixedtar

Good luck!

bpowell (bpowell2008) wrote :

I should note the kernel I compiled and linked to above is for 12.04 LTS. At least, that's what I'll run it on.

Grecu Ionut Florin (protos87) wrote :

The thing is that the compiled kernel breaks my native resolution and 3d acceleration for my nvidia graphics. Maybe because I'm on 13.04 x64 or maybe because of the linux-headers... who knows.. Anyway.. the kernel provided does not work for me.

bpowell (bpowell2008) wrote :

Grecu: Sorry to hear that. Works fine for me on 12.04 LTS...ACER 5735.

I can confirm this bug for my Samsung R60 Plus, running Debian, with every Kernel I tried from Squeeze trough Wheezy (2.6.32 - 3.2.0) and several Liquorix Kernel releases (latest was 3.8). When the bug hits, input of any kind is no longer possible. Music or videos currently running are continuing to do so. Unplugging the laptop from the power source won't make a difference (as in, the backlight brightness won't reduce as it usually does) - it just seems to continue running as it would be while stilling being connected.

In the past I was running the Xfce4-Power-Manager. Whenever one of those freezes happened I just pushed the power switch on my notebook and the system de-froze. In the configuration the result of activating the power switch was set to "Fragen" (ask me). Running i3 a temporary fix for me would be to autostart the Xfce-Power-Manager and "de-freeze" the system manually once it happens (which is, as of now, roughly once every day).

But waiting for the problem to fix itself won't do, it seems. I guess I'll have do dive into Kernel patching and compiling in the long run - one thing I hoped I don't have to do, ever.

Grecu Ionut Florin (protos87) wrote :

It is such a shame that a huge bug is left unresolved.... I think it is critical to fix this..

Damien Gallagher (deeje2) wrote :

Guys, this bug has had its patch submitted upstream to the kernel developers (https://bugzilla.kernel.org/show_bug.cgi?id=14733), and as of Monday, is with the ACPI mailing list (https://patchwork.kernel.org/patch/2521951/).
So progress is happening, slowly but surely.

Grecu Ionut Florin (protos87) wrote :

This is great news to us all!! Hope to see it fixed asap!! This is the only thing that keeps me, and many more to have a perfect linux experience!

This is a great news indeed! It took a while ... but excellent news. Gabriele

Grecu Ionut Florin (protos87) wrote :

I think the patch has been adden in Kernel 3.9.3
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.9.3

manolo (mac-man2005) wrote :

So many Italians here (I'm one of those).

So, I also have the same problem since one year more or less. Same problems as everybody on my Acer Aspire 5730z (the problems has been occurring with both 32bit and 64bit operating systems):
1) infinite lines of this kind:

May 31 23:59:32 superman-Aspire-5730 kernel: [225248.316012] ACPI: EC: input buffer is not empty, aborting transaction
May 31 23:59:32 superman-Aspire-5730 kernel: [225248.316021] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20120320/evregion-501)
May 31 23:59:32 superman-Aspire-5730 kernel: [225248.316034] ACPI Error: Method parse/execution failed [\_SB_.AMW0.WMCA] (Node ffff8800b6a3a960), AE_TIME (20120320/psparse-536)
May 31 23:59:33 superman-Aspire-5730 kernel: [225248.816042] ACPI: EC: input buffer is not empty, aborting transaction
May 31 23:59:33 superman-Aspire-5730 kernel: [225248.816054] ACPI Exception: AE_TIME, Returned by Handler for [EmbeddedControl] (20120320/evregion-501)

2) when the laptop does not reboot, I unplug the mains power and also the battery and then push the bower button for a couple of time, then plug the battery and/or the cable or both and everything works on again.

3) problems sometimes when trying to tune the LCD brightness, the system can even hang definitively and halting/rebooting is the only "solution"

4) generally, the system suffers some slow downs

5) one of the 4 usb ports is not working (is it related to the original problem?)

6) I'm not sure whether 64bit Linux based operating systems (as well as Win XP Professional 64) fully recognize the 4GB of RAM (is it related to the original problem?)

Kernel 3.5.0-31-generic #52-Ubuntu SMP
Linux Mint 14 (64bit)

Joseph Lansdowne (j49137) wrote :

(6) is probably just your graphics chipset reserving some of your RAM (mine takes ~1.1GiB).

Dear Joseph,
thanks for your suggestion.

How could I check how much RAM is reserved to my graphic chipset by the
BIOS / OS?
According to what BIOS says, only 64MB are reserved to graphic card.

Any suggestion, please?
Thanks.
Manolo

Il 01/06/2013 08:44, Joseph Lansdowne ha scritto:
> (6) is probably just your graphics chipset reserving some of your RAM
> (mine takes ~1.1GiB).
>

Any suggestion on how to check the detailed RAM consumption/reservation by both kernel and BIOS?
Thanks,
regards.

$ uname -a
Linux debian 3.9-1-amd64 #1 SMP Debian 3.9.6-1 x86_64 GNU/Linux

The same problem still occurs, and more frequently than with the 3.2 kernel series it seems.

Viking (cyberwinter666) wrote :

viking@CrazyAcerViking:~$ uname -a
Linux CrazyAcerViking 3.12.0-vikkivikki #1 SMP Sat Nov 9 22:22:36 FET 2013 i686 GNU/Linux

Works perfectly without any patching. Now I'm not getting error about "input buffer is not empty..".
Also, all ACPI works well (lcd backlight control, battery state, etc.)

description: updated

I have had this problems for years.
On my Acer 5930G this problem has disappeared one month ago, once I updated to Linux Mint 16 and to kernel 3.11.
Should this bug be marked as ''solved''?

Best regards, Gabriele Bianchi

Luca Zenatti, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bios-outdate-v1.23
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
summary: - [Kernel] ACPI: EC: input buffer is not empty, aborting transaction
+ [Acer Aspire 5930] ACPI: EC: input buffer is not empty, aborting
+ transaction

Gabriele Bianchi, at least for me the bug is still persistant on Debian.

$ uname -a
Linux debian 3.11-2-amd64 #1 SMP Debian 3.11.10-1 (2013-1
2-04) x86_64 GNU/Linux

Johannes Rudloff, so your hardware may be tracked, could you please file a new report by executing the following in a terminal while booted into Ubuntu with a supported repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.